#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n, l; cin >> n >> l;
    for(int i = 1; i <= n; i++){
        int x; cin >> x;
        if(x<=l){
            cout << i; return 0;
        }
    }
    cout << -1;
    return 0;
}